#include <stdio.h>
#include <stdbool.h>

#define MAX_LEN 200003

bool palindrom(const char *niska, int len) {
    for (int i = 0; i<len; i++) {
        if(*(niska+i) != *(niska+len-i-1)) {
            return false;
        }
    }
    return true;
}

int main() {
    int podniska_len_min = 1;
    int b_lokacija1 = -1;
    int b_lokacija2 = -1;
    int len = 0;

    char niska[MAX_LEN];
    char c;

    while ((c = getchar()) != EOF) {
        if (c == 'b' && b_lokacija1 == -1) {
            b_lokacija1 = len; 
        } else if (c == 'b' && b_lokacija1 != 0) {
            b_lokacija2 = len;
        }
        niska[len++] = c;
    }

    niska[len] = '\0';

    if(palindrom(niska, len)) {
        printf("1\n");
        return 0;
    }

    podniska_len_min = b_lokacija1 - (len-1-b_lokacija2) + 1;

    printf("%d\n", podniska_len_min);

    return 0;
}